Robotics Service Bus - Tasks #257

Tasks # 240 (Resolved): Refactor C++ Implementation to 2011-04-13 Domain Model

Remove Subscription
04/27/2011 04:55 PM - J. Wienke

Start date:
Due date:
% Done:

Estimated time:

04/27/2011

100%
2.50 hours

Status: Resolved
Priority: Normal
Assignee: J. Wienke
Category: C++
Target version:

Description

Instead:

- Add a list (conjunction) of filters to listener (desired filtering strategy)

- add addFilter and removeFilter methods

Associated revisions

Revision 4e81f276 - 05/02/2011 05:37 PM - J. Wienke

- remove Subscription class fixes #257

- restructure handling of Handlers and filters according to UML model without FilterObservable interface etc. refs #267

History

#1 - 04/29/2011 05:04 PM - J. Wienke
- Status changed from New to In Progress

#2 - 04/29/2011 05:49 PM - J. Wienke
- Status changed from In Progress to New

#3 - 05/02/2011 03:57 PM - J. Wienke

- Status changed from New to In Progress

- Assignee changed from S. Wrede to J. Wienke
#4 - 05/02/2011 05:38 PM - J. Wienke

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

Applied in changeset r776.

05/13/2024

1/1




